## Python Script "survey_results"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Comma-separated values
from string import join

response = context.REQUEST.RESPONSE
response.setHeader('Content-Type', 'text/comma-separated-values')

def encode(s):
	"""Replace tabs and newlines with spaces"""
	return '"%s"' % str(s)

response.write("%s\n" % join(['Username','last_page_completed','end_time'] 
		              + [field.getLabel() for field in context.listQuestions(skiplabels=1)], ","))

for result in context.getResults():
	response.write("%s\n" % join(map(encode, result), ","))
